# OpenSCAD Baseline Setup Guide

This guide provides an automated setup process for OpenSCAD and libraries like BOSL2 and BOSL. It includes validation steps to ensure the installation is successful.

## Quick Start: Automated Installation

Run the following command to install OpenSCAD, set up libraries, and validate the configuration:

```bash
curl -sL https://git.nixc.us/colin/OpenSCAD/raw/branch/main/install.sh | bash

What the Script Does
	1.	Checks for Homebrew:
	•	Ensures Homebrew is installed. If not, it halts and provides a link to install it.
	2.	Installs OpenSCAD:
	•	Installs OpenSCAD using Homebrew if it’s not already installed.
	3.	Sets Up the OpenSCAD Libraries Directory:
	•	Creates the directory ~/Documents/OpenSCAD/libraries/ if it doesn’t already exist.
	4.	Clones BOSL2 and BOSL:
	•	Clones the repositories for BOSL2 and BOSL into the libraries directory.
	•	If the repositories already exist, it updates them using git pull.
	5.	Validates the Installation:
	•	Ensures OpenSCAD is properly installed and available on the system.
	•	Checks that both BOSL2 and BOSL directories exist in the correct location.
	6.	Reports Success or Failure:
	•	If any step fails, the script provides a diagnostic message to help resolve the issue.

Verifying the Installation
	1.	Open OpenSCAD and create a new file.
	2.	Add the following code:

use <BOSL2/std.scad>;

cube([10,10,10], center=true);


	3.	Press F5 (Preview) or F6 (Render). If there are no errors, the installation was successful.

Troubleshooting
	•	Homebrew not installed:
	•	Install Homebrew from https://brew.sh/.
	•	Git issues:
	•	Ensure Git is installed and working. Run:

git --version


	•	Libraries not found:
	•	Verify the libraries are located in ~/Documents/OpenSCAD/libraries/.
	•	If missing, re-run the script.
	•	OpenSCAD not found:
	•	Verify the installation by running:

openscad --version



Refer to the BOSL2 GitHub repository and BOSL GitHub repository for additional documentation or support.